<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Vivid Blog Pro
* @since Vivid Blog Pro 1.0.0
*/

if ( ! function_exists( 'vivid_blog_pro_topbar_author_partial' ) ) :
    // topbar author
    function vivid_blog_pro_topbar_author_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['topbar_author'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_topbar_author_position_partial' ) ) :
    // topbar author position
    function vivid_blog_pro_topbar_author_position_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['topbar_author_position'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_about_title_partial' ) ) :
    // about title
    function vivid_blog_pro_about_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['about_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_about_sub_title_partial' ) ) :
    // about sub title
    function vivid_blog_pro_about_sub_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['about_sub_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_about_description_partial' ) ) :
    // about description
    function vivid_blog_pro_about_description_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['about_description'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_about_btn_title_partial' ) ) :
    // about btn title
    function vivid_blog_pro_about_btn_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['about_btn_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_cta_title_partial' ) ) :
    // cta title
    function vivid_blog_pro_cta_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['cta_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_cta_sub_title_partial' ) ) :
    // cta sub title
    function vivid_blog_pro_cta_sub_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['cta_sub_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_cta_description_partial' ) ) :
    // cta description
    function vivid_blog_pro_cta_description_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['cta_description'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_cta_btn_title_partial' ) ) :
    // cta btn title
    function vivid_blog_pro_cta_btn_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['cta_btn_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_blog_title_partial' ) ) :
    // blog title
    function vivid_blog_pro_blog_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['blog_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_blog_btn_title_partial' ) ) :
    // blog btn title
    function vivid_blog_pro_blog_btn_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['blog_btn_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_testimonial_title_partial' ) ) :
    // testimonial title
    function vivid_blog_pro_testimonial_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['testimonial_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_testimonial_btn_title_partial' ) ) :
    // testimonial btn title
    function vivid_blog_pro_testimonial_btn_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['testimonial_btn_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_subscription_title_partial' ) ) :
    // subscription title
    function vivid_blog_pro_subscription_title_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['subscription_title'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_subscription_subtitle_partial' ) ) :
    // subscription subtitle
    function vivid_blog_pro_subscription_subtitle_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['subscription_subtitle'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_copyright_text_partial' ) ) :
    // copyright text
    function vivid_blog_pro_copyright_text_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

if ( ! function_exists( 'vivid_blog_pro_poweredby_text_partial' ) ) :
    // poweredby text
    function vivid_blog_pro_poweredby_text_partial() {
        $options = vivid_blog_pro_get_theme_options();
        return esc_html( $options['poweredby_text'] );
    }
endif;